Table of Contents

Class: ManholeClientInterface | Twisted-0.19.0/twisted/manhole/service.py
--- | ---
Methods |
--- | ---
console receiveExplorer
| console
    console ( self,  list_of_messages )
### Takes a list of (type, message) pairs to display. Types include: "stdout" -- string sent to sys.stdout "stderr" string sent to sys.stderr "result" string repr of the resulting value of the expression "exception" a dictionary with two members: `traceback` -- traceback.extract_tb output; a list of tuples (filename, line number, function name, text) suitable for feeding to traceback.format_list. `exception` a list of one or more strings, each ending in a newline. (traceback.format_exception_only output)
| receiveExplorer
    receiveExplorer ( self,  xplorer )
Receives an explorer.Explorer

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:50 2002 by HappyDoc version 2.0